Skip to Store Area:

Welcome to JRRshop.com!

You have no items in your shopping cart.


You're currently on:

+ Click images to enlarge

Kuassa FZ3603 Fuzz FX Engine Plugin

Email to a Friend

Be the first to review this product

Manufacturer

Availability: Immediate email delivery.

$25.00
Add Items to Cart

Quick Overview

Download License! Email Delivery!


Probably the most primitive type of distortion device. Instantly recognizable from the wooly, gritty, and compressed ‘artificial’ sound. There are five types of buzzy tone benders on the FZ3603...

Download License! Email Delivery!

FZ3603 FUZZ

Fuzz FX Engine

Probably the most primitive type of distortion device. Instantly recognizable from the wooly, gritty, and compressed ‘artificial’ sound. There are five types of buzzy tone benders on the FZ3603

 

THE GOOD OLD FUZZY WOOLLY DISTORTION BOX

KUASSA EFEKTOR is a new line of plug-ins which consists of several of most requested effect units. The grandfather of ‘artificial’ effect units. Recognizable from its distinct sound, heavily clipped and compressed to the point where the waveform is squared, adding harsh and complex harmonics and inharmonics, almost synth like. Select from five models of fuzzboxes:

 

Big Fuzz: the gritty and wooly sustaining note
Sustainer Fuzz: blistering rhythm and singing leads
Trans Fuzz: the familiar fuzzy transistor sound
Vintage Fuzz: modern recreation of the sound from the 60s
Zepp Fuzz: the vintage british rock sound

 

KEY FEATURES:

• Five types of effects in every unit.
• Independent Gain, Tone, and Output volume controls.
• A/B compare buttons.
• Dry-Wet control.
• Up to 8x oversampling.

 

SYSTEM REQUIREMENTS:

Compatible with: win_small mac_small ub_small vst_small vst3_logo au_small x64_small aax_small protools-compatible Propellerhead-Rack-Extension

Windows XP, Vista, 7, or Later (32/64-bit)
Mac OS 10.5 or later (32/64-bit)
VST, VST3, Audio Units or AAX compatible Host Software


Please note that this product is a plugin, a VST/VST3/AU/AAX compatible host/sequencer is needed to run this software

Variant1